Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  nach 2 identischen wörtern suchen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   nach 2 identischen wörtern suchen (250 mal gelesen)
jeromechen
Mitglied
Bauzeichner


Sehen Sie sich das Profil von jeromechen an!   Senden Sie eine Private Message an jeromechen  Schreiben Sie einen Gästebucheintrag für jeromechen

Beiträge: 33
Registriert: 09.02.2006

p4 3.20ghz
winxp
Auto Cad Civil3D 2009

erstellt am: 06. Jul. 2006 11:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

hallo miteinandern

mein problem ist ich habe 50'000 nummern und es darf keine zweimal vorkommen, nun die frage gibts ein befehl der nach identischen wörten suchen kann also ob irgendetwas doppelt vorkommt?

oder jemand eine idee wie ich das produktiv machen kann?

mfg jerome

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

heiko_hems
Mitglied
Freier Architekt


Sehen Sie sich das Profil von heiko_hems an!   Senden Sie eine Private Message an heiko_hems  Schreiben Sie einen Gästebucheintrag für heiko_hems

Beiträge: 1291
Registriert: 14.01.2005

erstellt am: 06. Jul. 2006 11:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für jeromechen 10 Unities + Antwort hilfreich

Hallo Jerome,

wenn Du es nur wissen -und nicht ändern- willst würde ich spontan dazu raten eine dxf zu schreiben. Diese kann dann in einem geeigneten Editor venudelt werden (auch zB in Word mittels gebasteltem Makro o.ä. die Entity TEXT suchen)...

wenn Du es wissen -und ändern- willst solltest Du an eine LISP-Lösung denken, da kann ich Dir leider nicht weiterhelfen - aber vielleicht fragst/suchst Du mal hier im entsprechenden Brett

Gruß
Heiko

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19656
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 06. Jul. 2006 11:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für jeromechen 10 Unities + Antwort hilfreich


Wenn du ein Beispiel postest (DWG gezippt) dann bekommst du sicher
deine Lösung von einem freundlichen Forummitglied.

Die fast-Board Methode wäre evtl:
Alle auf einen Layer, gleicher Textstil - alles gleich (bis auf die Textwerte)
dann über das Eigenschaftenfenster alle Texte auf 0,0,0 schieben damit auch
das gleich ist.
Nun "doppelt" von cadwiesel.de nutzen !

[Gehe davon aus das es TEXTe sind und das immer nur die Nummer drin steht,
also nicht "Hermann 15" und das nächste "Sabine 16"  ]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19656
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 06. Jul. 2006 12:25    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für jeromechen 10 Unities + Antwort hilfreich

;Hier, das habe ich aus dem Lispforum zusammengestückelt:
;zum laden und nutzen von dem Klammernmist den User FAQFrequently asked questions (Häufig gestellte Fragen) befragen.

Code:

;-----------------------------------------------------
;
;Zeigt Liste mit doppelten Texten aus einem Auswahlsatz
;
(defun DOUBLES? (LST / VAL RETVAL neuval)
(foreach VAL lst
(if (not(member VAL RETVAL))
(setq RETVAL (cons VAL RETVAL))
(if (not(member VAL neuval))(setq neuval(cons VAL neuval)))
)
)
neuval
)


(defun bau_txtvallist (asatz / n txtval)
(setq n 0)
(repeat (sslength asatz)
(setq txtval(cons (cdr(assoc 1(entget(ssname asatz n)))) txtval)
n (1+ n))
)
txtval
)

(defun c:DOUBLETEXT ()
(doubles? (bau_txtvallist (ssget '((0 . "*TEXT")))))
)
;-----------------------------------------------------


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

spider_dd
Mitglied



Sehen Sie sich das Profil von spider_dd an!   Senden Sie eine Private Message an spider_dd  Schreiben Sie einen Gästebucheintrag für spider_dd

Beiträge: 1010
Registriert: 27.11.2003

Win 10Pro
Intel(R) Core(TM) i7-7700
NVIDIA Quadro P1000
ACAD, Civil-3D 2018

erstellt am: 06. Jul. 2006 12:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für jeromechen 10 Unities + Antwort hilfreich

oder auch dieses hier mal probieren

Code:

(defun c:dopp_text ( / tasatz tliste tliste_index anz i tp1 tp2 )
  (setq tasatz (ssget  '((0 . "TEXT"))))
  (setq anz (sslength tasatz))
  (setq i 0 tliste nil)
  (while (< i anz)
    (setq tliste (cons (cdr (assoc 1 (entget (ssname tasatz i)))) tliste))
    (setq i (1+ i))
  )
 
  (setq tliste_index (vl-sort-i tliste '< ))
  (setq i 0)
  (while (< i (1- anz))
    (setq tp1 (nth i tliste_index) tp2 (nth (1+ i) tliste_index))
    (if (= (nth tp1 tliste) (nth tp2 tliste))
      (print (strcat "Wert " (nth tp1 tliste) " doppelt"))
    )
    (setq i (1+ i))
  )
  (terpri)
)

lg
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jeromechen
Mitglied
Bauzeichner


Sehen Sie sich das Profil von jeromechen an!   Senden Sie eine Private Message an jeromechen  Schreiben Sie einen Gästebucheintrag für jeromechen

Beiträge: 33
Registriert: 09.02.2006

p4 3.20ghz
winxp
Auto Cad Civil3D 2009

erstellt am: 06. Jul. 2006 12:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

hört sich interessant an  sind alle selbe textstil  und nummern wie 14.104.303.0 

werd nun mal das von cadwiesel.de testen 


hier noch das file http://jeromechen.homeftp.net/nummern.zip

bin mal testen soweit mal danke 
guten apetit jerome

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jeromechen
Mitglied
Bauzeichner


Sehen Sie sich das Profil von jeromechen an!   Senden Sie eine Private Message an jeromechen  Schreiben Sie einen Gästebucheintrag für jeromechen

Beiträge: 33
Registriert: 09.02.2006

p4 3.20ghz
winxp
Auto Cad Civil3D 2009

erstellt am: 06. Jul. 2006 13:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

vielen dank ich habe die lsp dateien geladen aber ich habe keine ahnung wie ich sie aufruffen also nutzen kann 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Carsten1210
Mitglied
staatl. geprüfter Holztechniker


Sehen Sie sich das Profil von Carsten1210 an!   Senden Sie eine Private Message an Carsten1210  Schreiben Sie einen Gästebucheintrag für Carsten1210

Beiträge: 1341
Registriert: 24.07.2002

erstellt am: 06. Jul. 2006 13:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für jeromechen 10 Unities + Antwort hilfreich

spider_dd
Mitglied



Sehen Sie sich das Profil von spider_dd an!   Senden Sie eine Private Message an spider_dd  Schreiben Sie einen Gästebucheintrag für spider_dd

Beiträge: 1010
Registriert: 27.11.2003

Win 10Pro
Intel(R) Core(TM) i7-7700
NVIDIA Quadro P1000
ACAD, Civil-3D 2018

erstellt am: 06. Jul. 2006 13:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für jeromechen 10 Unities + Antwort hilfreich

wie cadffm schon sagte
Zitat:
zum laden und nutzen von dem Klammernmist den User FAQFrequently asked questions (Häufig gestellte Fragen) befragen

meins startet nach dem laden mit dem Befehl dopp_text

lg
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jeromechen
Mitglied
Bauzeichner


Sehen Sie sich das Profil von jeromechen an!   Senden Sie eine Private Message an jeromechen  Schreiben Sie einen Gästebucheintrag für jeromechen

Beiträge: 33
Registriert: 09.02.2006

p4 3.20ghz
winxp
Auto Cad Civil3D 2009

erstellt am: 06. Jul. 2006 13:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

ah so danke nun hats geklapt 
das von dir spider_dd geht irgend wie nicht richtig :/ laed alles aber kann weder linien noch texte auswaehlen. trotzdem danke 

das von cadffm funzt hingen und das freut mich 

vielen dank fuer die mühe 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jeromechen
Mitglied
Bauzeichner


Sehen Sie sich das Profil von jeromechen an!   Senden Sie eine Private Message an jeromechen  Schreiben Sie einen Gästebucheintrag für jeromechen

Beiträge: 33
Registriert: 09.02.2006

p4 3.20ghz
winxp
Auto Cad Civil3D 2009

erstellt am: 06. Jul. 2006 14:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

urg
Befehl: DOUBLETEXT
Objekte wählen: Entgegengesetzte Ecke angeben: 56236 gefunden

und 126 wurden angezeigt  supi ein fehler quote von 0.2% 

naja hab ja auch alle von hand nummeriert und plaziert 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

spider_dd
Mitglied



Sehen Sie sich das Profil von spider_dd an!   Senden Sie eine Private Message an spider_dd  Schreiben Sie einen Gästebucheintrag für spider_dd

Beiträge: 1010
Registriert: 27.11.2003

Win 10Pro
Intel(R) Core(TM) i7-7700
NVIDIA Quadro P1000
ACAD, Civil-3D 2018

erstellt am: 06. Jul. 2006 14:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für jeromechen 10 Unities + Antwort hilfreich

Hallo Jeromechen

Zitat:
das von dir spider_dd geht irgend wie nicht richtig :/ laed alles aber kann weder linien noch texte auswaehlen

Deine Zahlen sind M-Texte, bei mir werden nur Texte ausgewählt.
Ändere mal

Code:

(setq tasatz (ssget  '((0 . "TEXT"))))

in 

(setq tasatz (ssget  '((0 . "*TEXT"))))


dann geht's auch

lg
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP



Entwicklungsingenieur für hochgenaue mechatronische Montage (m/w/x)

Sich etwas Neues trauen, über sich hinauswachsen und dabei die Grenzen des Machbaren neu definieren. Genau das ist es, was unsere Mitarbeiter täglich leben dürfen und sollen. Um mit unseren Innovationen ein Zeichen zu setzen und Großartiges zu ermöglichen. Denn hinter jedem erfolgreichen Unternehmen stehen eine ganze Menge faszinierende Menschen.

In einem offenen und modernen Umfeld mit ...

Anzeige ansehenEntwicklung
jeromechen
Mitglied
Bauzeichner


Sehen Sie sich das Profil von jeromechen an!   Senden Sie eine Private Message an jeromechen  Schreiben Sie einen Gästebucheintrag für jeromechen

Beiträge: 33
Registriert: 09.02.2006

p4 3.20ghz
winxp
Auto Cad Civil3D 2009

erstellt am: 06. Jul. 2006 15:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

ah ok  danke thomas 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz